package com.test.gwt.client;

import com.google.gwt.user.client.rpc.AsyncCallback;
import com.test.gwt.shared.UserDTO;

public interface LoginServiceAsync
{
	void loginServer(String name, String password, AsyncCallback<UserDTO> callback);

	void loginFromSessionServer(AsyncCallback<UserDTO> callback);

	void logout(AsyncCallback<Void> callback);
}
